--
-- dbsetup.sql
--

SPOOL ../log/dbsetup.log

DEFINE _dba                = &1
DEFINE _dba_pw             = &2
DEFINE _connect_identifier = &3
DEFINE _sqlp               = 'sqlplus /nolog'

PROMPT
PROMPT Specify the Number of Intershop AppServer, Oracle Processes (default 150 per AppServer instance) and Open Cursors:
ACCEPT _appserver       PROMPT 'Number of AppServer [1]: '                DEFAULT '1'
ACCEPT _processes       PROMPT 'Processes per AppServer at least [150]: ' DEFAULT '150'
ACCEPT _open_cursors    PROMPT 'Open cursors at least [500]: '            DEFAULT '500'

PROMPT
PROMPT Specify the Intershop Tablespace Names:
ACCEPT _ts_temp         PROMPT 'Temp Tablespace [IS_TEMP]: '           DEFAULT 'IS_TEMP'
ACCEPT _ts_user         PROMPT 'User Tablespace [IS_USERS]: '          DEFAULT 'IS_USERS'
ACCEPT _ts_indx         PROMPT 'Index Tablespace [IS_INDX]: '          DEFAULT 'IS_INDX'
ACCEPT _ts_indx_ctx     PROMPT 'Text Index Tablespace [IS_INDX_CTX]: ' DEFAULT 'IS_INDX_CTX'

PROMPT
PROMPT Specify Intershop Tablespace Initial Size:
ACCEPT _ts_size         PROMPT 'Initial Tablespace Size, e.g. 100M or 1G [100M]: ' DEFAULT '100M'

PROMPT
PROMPT Specify Intershop Schema User:
ACCEPT _us              PROMPT 'User [intershop]: '         DEFAULT 'intershop'
ACCEPT _pw              PROMPT 'Password [intershop]: '     DEFAULT 'intershop'

PROMPT
PROMPT Summary of user provided information ...
PROMPT           AppServer: &_appserver
PROMPT Processes/AppServer: &_processes
PROMPT        Open Cursors: &_open_cursors
PROMPT             Temp TS: &_ts_temp
PROMPT             User TS: &_ts_user
PROMPT            Index TS: &_ts_indx
PROMPT        Ctx Index TS: &_ts_indx_ctx
PROMPT     Initial Size TS: &_ts_size
PROMPT                User: &_us
PROMPT            Password: &_pw
PROMPT

PAUSE Press [Return] to continue or [Ctrl+C] to terminate . . .

PROMPT CONNECT &_dba/&_dba_pw.@&_connect_identifier AS sysdba
       CONNECT &_dba/&_dba_pw.@&_connect_identifier AS sysdba

SET HEAD OFF FEEDBACK OFF TERM OFF

COL currdb_name NEW_VALUE currdb_name
SELECT sys_context('userenv', 'db_name') AS currdb_name FROM dual;

SET HEAD ON FEEDBACK ON TERM ON

PROMPT
PROMPT You are currently connected to: &&currdb_name

PROMPT
PROMPT Database Instance Configuration
PROMPT &_sqlp @../scripts/configure_instance.sql &_dba &_dba_pw &_connect_identifier &_appserver &_processes &_open_cursors
              @../scripts/configure_instance.sql &_dba &_dba_pw &_connect_identifier &_appserver &_processes &_open_cursors

PROMPT
PROMPT Create Intershop IS_* Tablespaces
PROMPT &_sqlp @../scripts/create_tablespaces.sql &_dba &_dba_pw &_connect_identifier &_ts_temp &_ts_user &_ts_indx &_ts_indx_ctx &_ts_size
              @../scripts/create_tablespaces.sql &_dba &_dba_pw &_connect_identifier &_ts_temp &_ts_user &_ts_indx &_ts_indx_ctx &_ts_size

PROMPT
PROMPT Create Intershop User Schema
PROMPT &_sqlp @../scripts/create_user.sql &_dba &_dba_pw &_connect_identifier &_us &_pw &_ts_temp &_ts_user
              @../scripts/create_user.sql &_dba &_dba_pw &_connect_identifier &_us &_pw &_ts_temp &_ts_user

PROMPT
PROMPT Database Instance Restart
PROMPT &_sqlp @../scripts/restart_instance.sql &_dba &_dba_pw
              @../scripts/restart_instance.sql &_dba &_dba_pw

DISCONNECT

EXIT

